#pragma once

#include "CoreMinimal.h"
#include "Engine/DataAsset.h"
#include "TunnelingIncentiveData.h"
#include "TunnelingIncentiveConfiguration.generated.h"

UCLASS(Blueprintable)
class UTunnelingIncentiveConfiguration : public UDataAsset
{
	GENERATED_BODY()

protected:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TArray<FTunnelingIncentiveData> _killerConfigurations;

public:
	UTunnelingIncentiveConfiguration();
};

FORCEINLINE uint32 GetTypeHash(const UTunnelingIncentiveConfiguration) { return 0; }
